FROM openshift/golang-builder:1.11 AS builder
ENV SOURCE_GIT_COMMIT=8b942ac6bf3efdb9b62ae8b03847b6a71d769ede SOURCE_GIT_TAG=8b942ac SOURCE_GIT_URL=https://github.com/openshift/cluster-node-tuning-operator SOURCE_DATE_EPOCH=1574333020 BUILD_VERSION=v4.2.20 BUILD_RELEASE=202002171604
WORKDIR /go/src/github.com/openshift/cluster-node-tuning-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.2.20.20200217.160430
ENV SOURCE_GIT_COMMIT=8b942ac6bf3efdb9b62ae8b03847b6a71d769ede SOURCE_GIT_TAG=8b942ac SOURCE_GIT_URL=https://github.com/openshift/cluster-node-tuning-operator SOURCE_DATE_EPOCH=1574333020 BUILD_VERSION=v4.2.20 BUILD_RELEASE=202002171604
COPY --from=builder /go/src/github.com/openshift/cluster-node-tuning-operator/cluster-node-tuning-operator /usr/bin/
COPY manifests /manifests
RUN useradd cluster-node-tuning-operator
USER cluster-node-tuning-operator
ENTRYPOINT ["/usr/bin/cluster-node-tuning-operator"]

LABEL \
        io.k8s.display-name="OpenShift cluster-node-tuning-operator" \
        io.k8s.description="This is a component of OpenShift and manages the lifecycle of node-level tuning." \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-node-tuning-operator" \
        com.redhat.component="cluster-node-tuning-operator-container" \
        version="v4.2.20" \
        release="202002171604" \
        io.openshift.build.commit.id="8b942ac6bf3efdb9b62ae8b03847b6a71d769ede" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-node-tuning-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-node-tuning-operator/commit/8b942ac6bf3efdb9b62ae8b03847b6a71d769ede"

